Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class AnsiTrimFunction

    java.lang.Object
      org.hibernate.dialect.function.TrimFunctionTemplate
          org.hibernate.dialect.function.AnsiTrimFunction

All Implemented Interfaces:
  SQLFunction

    public class AnsiTrimFunction

extends TrimFunctionTemplate

Defines support for rendering according to ANSI SQL `TRIM` function specification.

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.dialect.function.TrimFunctionTemplate
`TrimFunctionTemplate.Options, TrimFunctionTemplate.Specification`

Constructor Summary
`AnsiTrimFunction()`

Method Summary
`protected String` | `render(TrimFunctionTemplate.Options options, String trimSource, SessionFactoryImplementor factory)`

Methods inherited from class org.hibernate.dialect.function.TrimFunctionTemplate
`getReturnType, hasArguments, hasParenthesesIfNoArguments, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnsiTrimFunction

    public AnsiTrimFunction()

Method Detail

### render

    protected String render(TrimFunctionTemplate.Options options,
                            String trimSource,
                            SessionFactoryImplementor factory)

  Specified by:
    `render` in class `TrimFunctionTemplate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.